> ## Documentation Index
> Fetch the complete documentation index at: https://developers.closebot.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update re-billing



## OpenAPI

````yaml https://megastream25-api.closebot.com/swagger/v1/swagger.json put /agency/billing/re-billing
openapi: 3.0.1
info:
  title: CloseBot API
  version: v1
servers:
  - url: https://api.closebot.com
    description: CloseBot API Endpoint
security:
  - Key: []
paths:
  /agency/billing/re-billing:
    put:
      tags:
        - Billing
      summary: Update re-billing
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReBillingUpdateInput'
          text/json:
            schema:
              $ref: '#/components/schemas/ReBillingUpdateInput'
          application/*+json:
            schema:
              $ref: '#/components/schemas/ReBillingUpdateInput'
      responses:
        '200':
          description: Success
components:
  schemas:
    ReBillingUpdateInput:
      type: object
      properties:
        enabled:
          type: boolean
          nullable: true
        responseCost:
          type: string
          nullable: true
        storageCost:
          type: string
          nullable: true
        userCost:
          type: string
          nullable: true
        tokenMultiplier:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    Key:
      type: apiKey
      description: CloseBot API Key Authorization
      name: X-CB-KEY
      in: header

````